Open Inventory / Docs
EndpointsScan workflowsPublicAction flowsTriggerid

Load the form definition for an enabled public action URL

The API runs on your application instance. Schemas and field names come directly from the OpenAPI specification. Session-authenticated requests require a session on that instance.

GET
/public/action-flows/{triggerId}

Path Parameters

triggerId*string

Random bearer identifier embedded in the unlisted public URL.

Formatuuid

Response Body

Public action form

application/json
  1. response
action*
Example Request
curl -X GET 'https://example.com/api/public/action-flows/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "action": {    "triggerId": "b89c9c0a-30c6-475a-b185-93813e22ffcf",    "name": "string",    "description": "string",    "resourceName": "string",    "targetSelectionMode": "all",    "allowVariantSelection": true,    "targetGroups": [      {        "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6",        "name": "string",        "options": [          {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "name": "string",            "quantity": 0,            "trackingMode": "bulk",            "updatedAt": "2019-08-24T14:15:22Z"          }        ]      }    ],    "requiresCode": true,    "identifierLabel": "string",    "quantityInputKey": "string",    "inputFields": [      {        "visibleWhen": {          "mode": "all",          "rules": [            {              "left": {                "source": "literal",                "value": "string"              },              "operator": "equals",              "right": {                "source": "literal",                "value": "string"              }            }          ]        },        "key": "string",        "label": "string",        "required": true,        "type": "text",        "storage": "custom-field",        "placeholder": "",        "options": []      }    ],    "operation": {      "type": "unit"    }  }}